Return setup state for one competition.
curl --request GET \
--url https://api.example.com/v1/competitions/{slug}/setup/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/competitions/{slug}/setup/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/competitions/{slug}/setup/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ok": true
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Competitions
GET /v1/competitions/{slug}/setup/status
Check a caller’s wallet, credential, registration, and blocker state.
GET
/
v1
/
competitions
/
{slug}
/
setup
/
status
Return setup state for one competition.
curl --request GET \
--url https://api.example.com/v1/competitions/{slug}/setup/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/competitions/{slug}/setup/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/competitions/{slug}/setup/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ok": true
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Check whether the signed-in user has the wallet, credential, provider
connection, and registration setup needed for a competition.
Was this page helpful?
